Skip to main content
GET
/
v1
/
balance_transactions
List balance transactions
curl --request GET \
  --url https://api.leanrails.com/v1/balance_transactions \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "btxn_xxx",
      "object": "balance_transaction",
      "amount": 123,
      "fee": 123,
      "net": 123,
      "currency": "<string>",
      "type": "<string>",
      "status": "available",
      "available_on": 123,
      "reporting_category": "<string>",
      "created": 123,
      "livemode": true,
      "description": "<string>",
      "source": "<string>",
      "exchange_rate": 123,
      "fee_details": [
        {}
      ]
    }
  ],
  "has_more": true,
  "url": "/v1/balance_transactions",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

type
string

Filter by transaction type (e.g. charge, refund, payout).

source
string

Filter by source object ID.

currency
string

Three-letter ISO currency code.

payout
string

Filter by payout ID.

created[gt]
integer

Unix timestamp — return transactions created after this time.

created[gte]
integer

Unix timestamp — return transactions created at or after this time.

created[lt]
integer

Unix timestamp — return transactions created before this time.

created[lte]
integer

Unix timestamp — return transactions created at or before this time.

Response

A list of balance transactions.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/balance_transactions"

next_cursor
string | null